org.hibernate.search.analyzer.definition.impl

## Class PropertiesBasedLuceneAnalysisDefinitionSourceService

- java.lang.Object
- - org.hibernate.search.analyzer.definition.impl.PropertiesBasedLuceneAnalysisDefinitionSourceService

- All Implemented Interfaces:
    LuceneAnalysisDefinitionSourceService, Service, Startable

      public class PropertiesBasedLuceneAnalysisDefinitionSourceService
      extends Object
      implements LuceneAnalysisDefinitionSourceService, Startable

  The default LuceneAnalyzerDefinitionSourceService. This service allows to set the `configuration properties` to point to a custom implementation of `LuceneAnalysisDefinitionProvider`. Integrators which prefer to inject an alternative service by reference rather than setting a configuration property can provide an alternative Service implementation by overriding `SearchConfiguration.getProvidedServices()`.
  Author:
    Sanne Grinovero

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesBasedLuceneAnalysisDefinitionSourceService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LuceneAnalysisDefinitionProvider` | `getLuceneAnalyzerDefinitionProvider()`
    `void` | `start(Properties properties, BuildContext context)` Start phase notification.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesBasedLuceneAnalysisDefinitionSourceService

          public PropertiesBasedLuceneAnalysisDefinitionSourceService()

  - ### Method Detail

    - #### start

          public void start(Properties properties,
                            BuildContext context)

      Description copied from interface: `Startable`
      Start phase notification.
      Specified by:
        `start` in interface `Startable`
      Parameters:
        `properties` - the configuration properties
        `context` - the current context instance

    - #### getLuceneAnalyzerDefinitionProvider

          public LuceneAnalysisDefinitionProvider getLuceneAnalyzerDefinitionProvider()

      Specified by:
        `getLuceneAnalyzerDefinitionProvider` in interface `LuceneAnalysisDefinitionSourceService`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved